GLS ShipIT 5.0.15 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault Class Reference

## Public Member Functions
List< String > | getShipmentUnitId ()

## Protected Attributes
List< String > | shipmentUnitId

## Detailed Description

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="shipmentUnitId" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" maxOccurs="unbounded"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CouldNotTransmitShipmentsFault.java.

## Member Function Documentation

## ◆ getShipmentUnitId()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault.getShipmentUnitId | ( |  | ) |

Gets the value of the shipmentUnitId property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitId property.

For example, to add a new item, do as follows:

       getShipmentUnitId().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 64 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CouldNotTransmitShipmentsFault.java.

## Member Data Documentation

## ◆ shipmentUnitId

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault.shipmentUnitId
| protected

Definition at line 40 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CouldNotTransmitShipmentsFault.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CouldNotTransmitShipmentsFault.java